package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人账户信息对象 tgjj_grzhxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrzhxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据主键ID */
    private Long ID;

    /** 单位账号 */
    @Excel(name = "单位账号")
    private String DWZH;

    /** 个人缴存比例 */
    @Excel(name = "个人缴存比例")
    private BigDecimal GRJCBL;

    /** 缴至年月 */
    @Excel(name = "缴至年月")
    private String JZNY;

    /** 个人账号 */
    @Excel(name = "个人账号")
    private String GRZH;

    /** 个人缴存基数 */
    @Excel(name = "个人缴存基数")
    private BigDecimal GRJCJS;

    /** 个人账户状态 */
    @Excel(name = "个人账户状态")
    private String GRZHZT;

    /** 开户日期 */
    @Excel(name = "开户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date KHRQ;

    /** 个人账户余额 */
    @Excel(name = "个人账户余额")
    private BigDecimal GRZHYE;

    /** 个人账户上年结转余额 */
    @Excel(name = "个人账户上年结转余额")
    private BigDecimal GRZHSNJZYE;

    /** 个人账户当年归集余额 */
    @Excel(name = "个人账户当年归集余额")
    private BigDecimal GRZHDNGJYE;

    /** 个人月缴存额 */
    @Excel(name = "个人月缴存额")
    private BigDecimal GRYJCE;

    /** 单位月缴存额 */
    @Excel(name = "单位月缴存额")
    private BigDecimal DWYJCE;

    /** 销户日期 */
    @Excel(name = "销户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date XHRQ;

    /** 销户原因 */
    @Excel(name = "销户原因")
    private String XHYY;

    /** 个人存款账户号码 */
    @Excel(name = "个人存款账户号码")
    private String GRCKZHHM;

    /** 个人存款账户账户开户银行名称 */
    @Excel(name = "个人存款账户账户开户银行名称")
    private String GRCKZHKHYHMC;

    /** 个人存款账户开户银行代码 */
    @Excel(name = "个人存款账户开户银行代码")
    private String GRCKZHKHYHDM;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDWZH(String DWZH)
    {
        this.DWZH = DWZH;
    }

    public String getDWZH()
    {
        return DWZH;
    }
    public void setGRJCBL(BigDecimal GRJCBL)
    {
        this.GRJCBL = GRJCBL;
    }

    public BigDecimal getGRJCBL()
    {
        return GRJCBL;
    }
    public void setJZNY(String JZNY)
    {
        this.JZNY = JZNY;
    }

    public String getJZNY()
    {
        return JZNY;
    }
    public void setGRZH(String GRZH)
    {
        this.GRZH = GRZH;
    }

    public String getGRZH()
    {
        return GRZH;
    }
    public void setGRJCJS(BigDecimal GRJCJS)
    {
        this.GRJCJS = GRJCJS;
    }

    public BigDecimal getGRJCJS()
    {
        return GRJCJS;
    }
    public void setGRZHZT(String GRZHZT)
    {
        this.GRZHZT = GRZHZT;
    }

    public String getGRZHZT()
    {
        return GRZHZT;
    }
    public void setKHRQ(Date KHRQ)
    {
        this.KHRQ = KHRQ;
    }

    public Date getKHRQ()
    {
        return KHRQ;
    }
    public void setGRZHYE(BigDecimal GRZHYE)
    {
        this.GRZHYE = GRZHYE;
    }

    public BigDecimal getGRZHYE()
    {
        return GRZHYE;
    }
    public void setGRZHSNJZYE(BigDecimal GRZHSNJZYE)
    {
        this.GRZHSNJZYE = GRZHSNJZYE;
    }

    public BigDecimal getGRZHSNJZYE()
    {
        return GRZHSNJZYE;
    }
    public void setGRZHDNGJYE(BigDecimal GRZHDNGJYE)
    {
        this.GRZHDNGJYE = GRZHDNGJYE;
    }

    public BigDecimal getGRZHDNGJYE()
    {
        return GRZHDNGJYE;
    }
    public void setGRYJCE(BigDecimal GRYJCE)
    {
        this.GRYJCE = GRYJCE;
    }

    public BigDecimal getGRYJCE()
    {
        return GRYJCE;
    }
    public void setDWYJCE(BigDecimal DWYJCE)
    {
        this.DWYJCE = DWYJCE;
    }

    public BigDecimal getDWYJCE()
    {
        return DWYJCE;
    }
    public void setXHRQ(Date XHRQ)
    {
        this.XHRQ = XHRQ;
    }

    public Date getXHRQ()
    {
        return XHRQ;
    }
    public void setXHYY(String XHYY)
    {
        this.XHYY = XHYY;
    }

    public String getXHYY()
    {
        return XHYY;
    }
    public void setGRCKZHHM(String GRCKZHHM)
    {
        this.GRCKZHHM = GRCKZHHM;
    }

    public String getGRCKZHHM()
    {
        return GRCKZHHM;
    }
    public void setGRCKZHKHYHMC(String GRCKZHKHYHMC)
    {
        this.GRCKZHKHYHMC = GRCKZHKHYHMC;
    }

    public String getGRCKZHKHYHMC()
    {
        return GRCKZHKHYHMC;
    }
    public void setGRCKZHKHYHDM(String GRCKZHKHYHDM)
    {
        this.GRCKZHKHYHDM = GRCKZHKHYHDM;
    }

    public String getGRCKZHKHYHDM()
    {
        return GRCKZHKHYHDM;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DWZH", getDWZH())
            .append("GRJCBL", getGRJCBL())
            .append("JZNY", getJZNY())
            .append("GRZH", getGRZH())
            .append("GRJCJS", getGRJCJS())
            .append("GRZHZT", getGRZHZT())
            .append("KHRQ", getKHRQ())
            .append("GRZHYE", getGRZHYE())
            .append("GRZHSNJZYE", getGRZHSNJZYE())
            .append("GRZHDNGJYE", getGRZHDNGJYE())
            .append("GRYJCE", getGRYJCE())
            .append("DWYJCE", getDWYJCE())
            .append("XHRQ", getXHRQ())
            .append("XHYY", getXHYY())
            .append("GRCKZHHM", getGRCKZHHM())
            .append("GRCKZHKHYHMC", getGRCKZHKHYHMC())
            .append("GRCKZHKHYHDM", getGRCKZHKHYHDM())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
